This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1272232 - [abrt] upower: g_realloc(): upowerd killed by SIGSEGV
[abrt] upower: g_realloc(): upowerd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:89dd07d3e096355fd955b252c23...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 15:53 EDT by Marcel Hetzendorfer
Modified: 2016-07-19 14:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.68 KB, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: cgroup (192 bytes, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: core_backtrace (4.37 KB, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: dso_list (4.70 KB, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: environ (72 bytes, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: maps (21.91 KB, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: mountinfo (3.82 KB, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: open_fds (673 bytes, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: proc_pid_status (976 bytes, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details
File: var_log_messages (298 bytes, text/plain)
2015-10-15 15:54 EDT, Marcel Hetzendorfer
no flags Details

  None (edit)
Description Marcel Hetzendorfer 2015-10-15 15:53:58 EDT
Version-Release number of selected component:
upower-0.99.3-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: g_realloc
executable:     /usr/libexec/upowerd
global_pid:     19276
kernel:         4.1.8-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #4 g_realloc at gmem.c:162
 #5 g_string_maybe_expand at gstring.c:102
 #6 g_string_sized_new at gstring.c:127
 #7 g_io_channel_fill_buffer at giochannel.c:1470
 #8 g_io_channel_read_chars at giochannel.c:2025
 #9 up_input_event_io at up-input.c:113
Comment 1 Marcel Hetzendorfer 2015-10-15 15:54:02 EDT
Created attachment 1083379 [details]
File: backtrace
Comment 2 Marcel Hetzendorfer 2015-10-15 15:54:04 EDT
Created attachment 1083380 [details]
File: cgroup
Comment 3 Marcel Hetzendorfer 2015-10-15 15:54:05 EDT
Created attachment 1083381 [details]
File: core_backtrace
Comment 4 Marcel Hetzendorfer 2015-10-15 15:54:07 EDT
Created attachment 1083382 [details]
File: dso_list
Comment 5 Marcel Hetzendorfer 2015-10-15 15:54:09 EDT
Created attachment 1083383 [details]
File: environ
Comment 6 Marcel Hetzendorfer 2015-10-15 15:54:10 EDT
Created attachment 1083384 [details]
File: limits
Comment 7 Marcel Hetzendorfer 2015-10-15 15:54:12 EDT
Created attachment 1083385 [details]
File: maps
Comment 8 Marcel Hetzendorfer 2015-10-15 15:54:17 EDT
Created attachment 1083386 [details]
File: mountinfo
Comment 9 Marcel Hetzendorfer 2015-10-15 15:54:19 EDT
Created attachment 1083387 [details]
File: namespaces
Comment 10 Marcel Hetzendorfer 2015-10-15 15:54:22 EDT
Created attachment 1083388 [details]
File: open_fds
Comment 11 Marcel Hetzendorfer 2015-10-15 15:54:24 EDT
Created attachment 1083389 [details]
File: proc_pid_status
Comment 12 Marcel Hetzendorfer 2015-10-15 15:54:25 EDT
Created attachment 1083390 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-07-19 14:14:06 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.